Transcribe speech
curl --request POST \
--url https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--data '<string>'import requests
url = "https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'},
body: '<string>'
};
fetch('https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/octet-stream"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/octet-stream")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/octet-stream")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/octet-stream'
request.body = "<string>"
response = http.request(request)
puts response.read_body{
"text": "сәлеметсіз бе бүгін ауа райы өте жақсы",
"model": "seta-kk-ru-v2",
"audio_seconds": 2.84,
"credits_charged": 8,
"processing_seconds": 0.153,
"rtf": 0.0539,
"x_realtime": 18.5,
"chunks": 1,
"sample_rate_in": 24000,
"words": [
{
"word": "сәлеметсіз",
"start": 0.2,
"end": 0.72
}
],
"segments": [
{
"id": 0,
"text": "сәлеметсіз бе",
"start": 0.2,
"end": 1.12
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}api reference
Transcribe speech
Transcribe Kazakh/Russian audio, including speakers who switch language mid-sentence. Send audio as a raw request body (naming the container with an x-filename header), as a multipart file, or pass ?url= and let the server fetch it. Billed on audio duration at 2.5 credits per second, from the same credit balance as text-to-speech.
POST
/
v1
/
transcribe
Transcribe speech
curl --request POST \
--url https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--data '<string>'import requests
url = "https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'},
body: '<string>'
};
fetch('https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/octet-stream"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/octet-stream")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/octet-stream")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://geko--seta-serve-transcriber-api.modal.run/v1/transcribe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/octet-stream'
request.body = "<string>"
response = http.request(request)
puts response.read_body{
"text": "сәлеметсіз бе бүгін ауа райы өте жақсы",
"model": "seta-kk-ru-v2",
"audio_seconds": 2.84,
"credits_charged": 8,
"processing_seconds": 0.153,
"rtf": 0.0539,
"x_realtime": 18.5,
"chunks": 1,
"sample_rate_in": 24000,
"words": [
{
"word": "сәлеметсіз",
"start": 0.2,
"end": 0.72
}
],
"segments": [
{
"id": 0,
"text": "сәлеметсіз бе",
"start": 0.2,
"end": 1.12
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Your geko API key (sk-tokay-…). Create and manage keys in the console.
Headers
Query Parameters
Body
application/octet-streammultipart/form-data
The body is of type file.
Response
The transcript, with timing and the credits charged.